## MucharmapChaptersModel MucharmapChaptersModel |

## Synopsis

                        MucharmapChaptersModelPrivate;
                        MucharmapChaptersModel;
    MucharmapCodepointList *  mucharmap_chapters_model_get_codepoint_list
                                                            (MucharmapChaptersModel *chapters,
                                                             GtkTreeIter *iter);
    const char *              mucharmap_chapters_model_get_title
                                                            (MucharmapChaptersModel *chapters);
    MucharmapCodepointList *  mucharmap_chapters_model_get_book_codepoint_list
                                                            (MucharmapChaptersModel *chapters);
    gboolean            mucharmap_chapters_model_character_to_iter
                                                            (MucharmapChaptersModel *chapters,
                                                             gunichar wc,
                                                             GtkTreeIter *iter);
    gboolean            mucharmap_chapters_model_id_to_iter (MucharmapChaptersModel *model,
                                                             const char *id,
                                                             GtkTreeIter *iter);

## Object Hierarchy

      GObject
       +----GtkListStore
             +----MucharmapChaptersModel
                   +----MucharmapBlockChaptersModel
                   +----MucharmapScriptChaptersModel

## Implemented Interfaces

MucharmapChaptersModel implements GtkTreeModel, GtkTreeDragSource, GtkTreeDragDest, GtkTreeSortable and GtkBuildable.

## Description

## Details

### MucharmapChaptersModelPrivate

    typedef struct _MucharmapChaptersModelPrivate MucharmapChaptersModelPrivate;

### MucharmapChaptersModel

    typedef struct _MucharmapChaptersModel MucharmapChaptersModel;

### mucharmap_chapters_model_get_codepoint_list ()

    MucharmapCodepointList *  mucharmap_chapters_model_get_codepoint_list
                                                            (MucharmapChaptersModel *chapters,
                                                             GtkTreeIter *iter);

`chapters` : | a MucharmapChaptersModel
`iter` : |
Returns : | a reference to a MucharmapCodepointList representing all the characters in all the chapters. It should not be modified, but must be `g_object_unref()`'d after use.

### mucharmap_chapters_model_get_title ()

    const char *              mucharmap_chapters_model_get_title
                                                            (MucharmapChaptersModel *chapters);

`chapters` : |
Returns : |

### mucharmap_chapters_model_get_book_codepoint_list ()

    MucharmapCodepointList *  mucharmap_chapters_model_get_book_codepoint_list
                                                            (MucharmapChaptersModel *chapters);

`chapters` : |
Returns : |

### mucharmap_chapters_model_character_to_iter ()

    gboolean            mucharmap_chapters_model_character_to_iter
                                                            (MucharmapChaptersModel *chapters,
                                                             gunichar wc,
                                                             GtkTreeIter *iter);

`chapters` : | a MucharmapChaptersModel
`wc` : | a character
`iter` : | a GtkTreeIter
Returns : | `TRUE` on success, `FALSE` on failure.

### mucharmap_chapters_model_id_to_iter ()

    gboolean            mucharmap_chapters_model_id_to_iter (MucharmapChaptersModel *model,
                                                             const char *id,
                                                             GtkTreeIter *iter);

`model` : |
`id` : |
`iter` : |
Returns : |